import { Link } from 'react-router-dom'
import { Box, CircularProgress } from '@mui/material'

import Page from 'components/page'
import { Debug } from 'components/debug'
import { useUserContext } from 'contexts'

import LoginPage from './components/loginpage'

export default function FrontPage() {
  const { user } = useUserContext()

  if (user.auth) {
    return (
      <Page>
        <p>
          <strong>Routes</strong>
          <p>
            {user.first_name} {user.last_name}
          </p>
          <ul>
            <li key="root">
              <Link to="/">Front page</Link>
            </li>
            <li key="sponsor">
              <Link to="/sponsor/">Sponsor</Link>
            </li>
            <li key="register">
              <Link to="/register/">Registration</Link>
            </li>
            <li key="guestregister">
              <Link to="/guestregister/">Guest Registration</Link>
            </li>
          </ul>
        </p>
        <Debug />
      </Page>
    )
  }

  if (!user.fetched) {
    return (
      <Box
        sx={{
          margin: 'auto',
        }}
      >
        <CircularProgress />
      </Box>
    )
  }

  return <LoginPage />
}
