# Generated by Django 3.2.8 on 2021-10-28 11:44

import dirtyfields.dirtyfields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def move_orgreg_id_to_identifiers(apps, schema_editor):
    OuIdentifier = apps.get_model("greg", "OuIdentifier")
    OrganizationalUnit = apps.get_model("greg", "OrganizationalUnit")
    for ou in OrganizationalUnit.objects.all():
        value = getattr(ou, "orgreg_id", None)
        if value:
            OuIdentifier.objects.create(
                orgunit=ou,
                name=settings.ORGREG_NAME,
                source=settings.ORGREG_SOURCE,
                value=value,
            )


class Migration(migrations.Migration):

    dependencies = [
        ("greg", "0011_role_remove_id_suffix"),
    ]

    operations = [
        migrations.CreateModel(
            name="OuIdentifier",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                ("name", models.CharField(max_length=256)),
                ("source", models.CharField(max_length=256)),
                ("value", models.CharField(max_length=256)),
            ],
            bases=(dirtyfields.dirtyfields.DirtyFieldsMixin, models.Model),
        ),
        migrations.AddField(
            model_name="ouidentifier",
            name="orgunit",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="identifiers",
                to="greg.organizationalunit",
            ),
        ),
        migrations.RunPython(move_orgreg_id_to_identifiers),
        migrations.RemoveConstraint(
            model_name="organizationalunit",
            name="unique_orgreg_id",
        ),
        migrations.RemoveField(
            model_name="organizationalunit",
            name="orgreg_id",
        ),
        migrations.AddConstraint(
            model_name="ouidentifier",
            constraint=models.UniqueConstraint(
                fields=("name", "value"), name="unique_identifier"
            ),
        ),
    ]
